.popup {
  position: fixed;
  z-index: 1000;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: none;
  justify-content: center;
  align-items: center;
  overflow: auto;
}

.popup__content > .image-wrapper > img {
  width: 550px;
  height: 550px;
  border-radius: 15px;
}

.popup__content > .button-wrapper {
  display: flex;
  justify-content: flex-end;
  margin-top: 25px;
  gap: 24px;
}

.popup__content > .button-wrapper > .popup-button {
  color: white;
  width: 263px;
  padding: 20px 52px;
  border-radius: 55px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
}

.popup-button.not-today-button {
  background-color: transparent;
  border: 2px solid white;
}

.popup-button.not-today-button:hover {
  opacity: 0.9;
}

.popup-button.close-button {
  background-color: #363636;
}

@media (max-width: 560px) {
  .popup__content > .image-wrapper > img {
    width: 290px;
    height: 290px;
    border-radius: 15px;
  }

  .popup__content > .button-wrapper {
    justify-content: space-between;
    gap: 20px;
  }

  .popup__content > .button-wrapper > .popup-button {
    color: white;
    width: 135px;
    padding: 12px 16px;
    font-size: 14px;
    font-weight: bold;
    cursor: pointer;
  }

  .popup-button.close-button {
    display: inline-block;
  }
}

@media (max-width: 375px) {
  .popup__content > .button-wrapper > .popup-button {
    color: white;
    width: 100%;
    height: 45px;
    font-size: 13px;
    font-weight: bold;
    cursor: pointer;
  }
}

@media (max-width: 300px) {
  .popup__content > .image-wrapper > img {
    width: 240px;
    height: 240px;
    border-radius: 15px;
  }
  .popup__content > .button-wrapper > .popup-button {
    color: white;
    width: 100%;
    height: 45px;
    font-size: 12px;
    font-weight: bold;
    cursor: pointer;
  }
}
